Summary:	AES-encryption tool for tar/cpio and loop-aes images
Summary(pl.UTF-8):	Narzędzie do szyfrowania AES dla tar/cpio i obrazów loop-aes
Name:		aespipe
Version:	2.4h
Release:	1
License:	GPL, distributable
Group:		Applications/File
Source0:	https://loop-aes.sourceforge.net/aespipe/%{name}-v%{version}.tar.bz2
# Source0-md5:	6c4552f10771eda471c964b34b1fae4a
URL:		https://loop-aes.sourceforge.net/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	rpmbuild(macros) >= 1.213
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
aespipe is an encryption tool that reads from standard input and
writes to standard output. It uses the AES (Rijndael) cipher.

It can be used as an encryption filter, to create and restore
encrypted tar/cpio backup archives and to read/write and convert
loop-AES compatible encrypted images.

aespipe can be used for non-destructive in-place encryption of
existing disk partitions for use with the loop-AES encrypted loopback
kernel module.

%description -l pl.UTF-8
aespipe to narzędzie do szyfrowania czytające ze standardowego wejścia
i piszące na standardowe wyjście. Używa szyfru AES (Rijndael).

Może być używane jako filtr szyfrujący, do tworzenia i odtwarzania
zaszyfrowanych archiwów kopii zapasowych tar/cpio oraz do
zapisu/odczytu i konwersji zaszyfrowanych obrazów kompatybilnych z
loop-aes.

aespipe może być używane do niedestruktywnego szyfrowania "w miejscu"
istniejących partycji do używania z modułem jądra szyfrowanego systemu
plików po loopbacku loop-AES.

%prep
%setup -q -n %{name}-v%{version}
%{__patch} --forward README < aes-GPL.diff || :

%build
%{__aclocal}
%{__autoconf}
%configure \
%ifarch %{ix86} %{x8664} x32
	--enable-padlock \
	--enable-intelaes \
%endif
%ifarch %{ix86}
	--enable-asm=x86
%endif
%ifarch %{x8664}
	--enable-asm=amd64
%endif

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
install bz2aespipe $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%attr(755,root,root) %{_bindir}/aespipe
%attr(755,root,root) %{_bindir}/bz2aespipe
%{_mandir}/man1/aespipe.1*
%changelog
* Thu Jun 27 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/aespipe.git;a=log;h=master

* Thu Jun 27 2024 Jakub Bogusz <qboosh@pld-linux.org> 5a9f65a
- updated to 2.4h

* Mon Feb 26 2024 Jakub Bogusz <qboosh@pld-linux.org> 689800c
- updated to 2.4g

* Mon Jun 06 2011 marti <marti@pld-linux.org> 19f7b37
- up to 2.4c

* Wed Jan 05 2011 Tomasz Pala <gotar@pld-linux.org> 02967ba
- upgraded to 2.4b; enabled padlock/intelaes support (build & runtime
  detection), override --enable-asm=(x86|amd64) (autodetected on build time),
- more specific file masks, fixed Group,
- applied aes-GPL.diff for Dr B. R. Gladman's licensed files over README

* Wed Jan 14 2009 duddits <duddits@pld-linux.org> bc1aeeb
- up to 2.3e

* Sun Jun 03 2007 areq <areq@pld-linux.org> bf36e69
- 2.3d

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 8acd4af
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 150e789
- converted to UTF-8

* Sun Feb 11 2007 areq <areq@pld-linux.org> cc8c79c
- 2.3c

* Sat Jun 18 2005 areq <areq@pld-linux.org> b02c359
- 2.3b

* Wed May 11 2005 Jakub Bogusz <qboosh@pld-linux.org> 84866cc
- ifarch fix

* Sun Jan 09 2005 matowy <matowy@pld-linux.org> af0cdd8
- up to 2.3a

* Sat Dec 25 2004 Jakub Bogusz <qboosh@pld-linux.org> d7ebb6c
- cleanups

* Sun Nov 14 2004 havner <havner@pld-linux.org> a79faa6
- rel 1

* Mon Sep 20 2004 darekr <darekr@pld-linux.org> 58c1885
- updated to 2.2e

* Wed Aug 11 2004 Jakub Bogusz <qboosh@pld-linux.org> 2b8383f
- pl

* Sun Aug 08 2004 areq <areq@pld-linux.org> 3343946
- init PLD spec

